@import "./src/components/Wrapper/index.scss";

.top {
  height: 100vh;
  width: 100%;
  //overflow: hidden !important;
  display: flex;
  border-right: 1px solid $main-color-gold;
  border-left: 1px solid $main-color-gold;

  & Svg{
    width: 100%;
  }

  &__wrapper {
    @include max-width-paddings;
    min-width: 480px;
    margin: 0 auto;
    overflow: hidden!important;
  }

  &__transparent {
    z-index: 1;
    position: absolute;
    left: 35%;
    width: 30%;
    height: 100%;
    box-shadow: 0 0 6vh rgba(0, 0, 0, .5), 0 0 0 rgba(0, 0, 0, .5), 0 0 6vh rgba(0, 0, 0, .5), 0 0 0 rgba(0, 0, 0, .5);
  }

  &__text {
    font-family: "Rubik Mono One", sans-serif;
    margin: 25vh auto auto;
    color: #fff;
    font-size: calc(3.3vh + 3.3vw);
    line-height: calc(3.1vh + 3.1vw);
    white-space: nowrap;
    text-transform: uppercase;

    &--title {
      font-family: $main-title-font;
      font-size: calc(4.3vh + 4.3vw);
      line-height: calc(4.1vh + 4.1vw);
      letter-spacing: 3px;
    }

    &--last {
      display: flex;
      justify-content: space-between;
      align-items: baseline;
    }

    &--position {
      font-family: $font-1;
      font-size: calc(1.3vh + 1.3vw);
      white-space: nowrap;
      text-transform: none;
    }
  }

  &__comment {
    line-height: 1.5;
    position: absolute;
    bottom: 5%;
    //left: 10%;

    &--text {
      font-family: $font-2;
      font-weight: 400;
      font-size: calc(.8vh + .8vw);
      white-space: nowrap;
      text-transform: uppercase;

      &:last-child {
        color: rgba(201, 171, 129, .69) !important;
      }
    }
  }
}

@media (max-width: 480px) {
  .top {
    &__text {
      &--title {
        font-size: .7em;
      }
    }
  }
}
@media (min-width: 481px) and (max-width: 767px){
  .top {
    &__text {
      &--title {
        font-size: .8em;
      }
    }
  }
}